Bug 1547748 (CVE-2018-7260)

Summary: CVE-2018-7260 phpMyAdmin: XSS in db_central_columns.php
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ccoleman, dedgar, dmcphers, fedora, imlinux+fedora, jgoulding, redhat-bugzilla
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-20 21:17:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1547749, 1547750, 1553909    
Bug Blocks: 1547751    

Description Pedro Sampaio 2018-02-21 20:42:55 UTC
Cross-site scripting (XSS) vulnerability in db_central_columns.php in phpMyAdmin before 4.7.8 allows remote authenticated users to inject arbitrary web script or HTML via a crafted URL.

Upstream patch:

https://github.com/phpmyadmin/phpmyadmin/commit/d2886a3

References:

https://www.phpmyadmin.net/security/PMASA-2018-1/
https://udiniya.wordpress.com/2018/02/21/a-tale-of-stealing-session-cookie-in-phpmyadmin/

Comment 1 Pedro Sampaio 2018-02-21 20:43:16 UTC
Created phpMyAdmin tracking bugs for this issue:

Affects: epel-all [bug 1547749]
Affects: fedora-all [bug 1547750]

Comment 3 Product Security DevOps Team 2020-05-20 21:17:02 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.